#include <stm32f10x_lib.h>

int milliseconde;
int seconde;
int minute;
int heure;

void init_timer(void)
{
 RCC->CFGR = 1; // HSI clock 8 MHz
 RCC->APB1ENR |= 1 ; // horloge TIM2 autorise

 NVIC->ISER[0] |=	(1 <<28);

 TIM2->PSC = 9; // Prdiviseur de 10 => Frquence 800 KHz
 TIM2->ARR = 799 ; // Registre Auto-Chargement , recyclage tous les 800 cycles d'horloges => 1KHz => 1ms
 
 TIM2->DIER = 1;

}

void isr_timer(void)
{
TIM2->SR = 0; // Invalidation requte interruption 
milliseconde += 1;

}
